org.eclipse.oomph.predicates

## Interface Predicate

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Subinterfaces:
    AndPredicate, BuilderPredicate, CommentPredicate, FilePredicate, LocationPredicate, NamePredicate, NaturePredicate, NotPredicate, OrPredicate, RepositoryPredicate
  All Known Implementing Classes:
    AndPredicateImpl, BuilderPredicateImpl, CommentPredicateImpl, FilePredicateImpl, LocationPredicateImpl, NamePredicateImpl, NaturePredicateImpl, NotPredicateImpl, OrPredicateImpl, PredicateImpl, RepositoryPredicateImpl

      public interface Predicate
      extends ModelElement

  A representation of the model object 'Predicate'.
  See Also:
    `PredicatesPackage.getPredicate()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(IResource resource)`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### matches

          boolean matches(IResource resource)

      Generated
      Model
        resourceDataType="org.eclipse.oomph.predicates.Resource"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html